# $Revision: 1.16 $, $Date: 2004/01/08 10:14:33 $
Summary:	Utah Raster Toolkit
Summary(pl):	Zestaw narzdzi z Utah do grafiki rastrowej
Name:		urt
Version:	3.1b
Release:	5
License:	GPL-like/"reserved" (see documentation for details)
Group:		Applications/Graphics
Source0:	ftp://ftp.cs.utah.edu/pub/dept/OLD/pub/%{name}-%{version}.tar.Z
# Source0-md5:	c9a377284d00c102c1a8af53d95a6b39
Patch0:		%{name}-config.patch
Patch1:		%{name}-fixes.patch
Patch2:		%{name}-DESTDIR.patch
Patch3:		%{name}-shared.patch
BuildRequires:	XFree86-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	netpbm-devel >= 10
BuildRequires:	%{__perl}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Utah Raster toolkit is a collection of programs and C routines for
dealing with raster images commonly encountered in computer graphics.
It provides the following major functions:
 - A device and system independent image format for storing images and
   information about them. Called the RLE format, it uses run length
   encoding to reduce storage space for most images.
 - A library of C routines for reading, writing and manipulating images
   stored in the RLE format.
 - A collections of programs for manipulating and displaying RLE
   images.

%description -l pl
Utah Raster Toolkit to zestaw programw i funkcji w C do obrbki
obrazw rastrowych czsto wystpujcych w grafice komputerowej. URT
dostarcza:
 - Niezaleny od urzdzenia i systemu format obrazkw do zapisu grafiki
   i informacji o niej. Nazywa si RLE i uywa kompresji Run-Length
   Encoding, aby zmniejszy zajmowane miejsce.
 - Zestaw funkcji w C do czytania, pisania i manipulowania obrazkami
   zapisanymi w formacie RLE.
 - Zestaw programw do manipulowania i wywietlania obrazkw RLE.

%package devel
Summary:	Development files for Utah Raster Toolkit
Summary(pl):	Pakiet dla programistw Utah Raster Toolkit
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Utah Raster Toolkit header files.

%description devel -l pl
Pliki nagwkowe Utah Raster Toolkit.

%package static
Summary:	Utah Raster Toolkit static library
Summary(pl):	Statyczna biblioteka Utah Raster Toolkit
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Obsoletes:	netpbm-rle-static
Provides:	netpbm-rle-static
Conflicts:	netpbm-static < 9.23-2

%description static
Utah Raster Toolkit static library.

%description static -l pl
Statyczna biblioteka Utah Raster Toolkit.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
mv config/urt config/urt.old
sed -e's,^##defpath MAN_DEST.*,#defpath MAN_DEST %{_mandir},' \
	-e's,^##defpath LIB_DEST.*,#defpath LIB_DEST %{_libdir},' \
	-e's,^##defpath GET_DEST.*,#defpath GET_DEST %{_bindir},' \
	-e's,^##defpath CNV_DEST.*,#defpath CNV_DEST %{_bindir},' \
	-e's,^##defpath TOOLS_DEST.*,#defpath TOOLS_DEST %{_bindir},' \
	-e's,^##defpath INC_DEST.*,#defpath INC_DEST %{_includedir}/rle,' \
	config/urt.old > config/urt

./Configure
%{__make} \
	CC="%{__cc}" \
	ExtraCFLAGS="%{rpmcflags}" \
	LIBX11="-L/usr/X11R6/%{_lib} -lX11" \
	LIBPBMPLUS="-lnetpbm"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}/rle} \
	$RPM_BUILD_ROOT%{_mandir}/man{1,3,5}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc 3.1-changes CHANGES README blurb copyright
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/rle
%{_mandir}/man[35]/*

%files static
%defattr(644,root,root,755)
%{_libdir}/librle.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: urt.spec,v $
Revision 1.16  2004/01/08 10:14:33  qboosh
- updated shared patch - .la hack no longer needed; pass CC; release 5

Revision 1.15  2004/01/02 18:11:50  jajcus
- Release: 4 (STBR after AMD64 fixes)

Revision 1.14  2003/12/31 14:48:25  jajcus
- fix .la file by changing hardcoded /usr/lib to actual %{_libdir}

Revision 1.13  2003/12/25 10:26:05  jajcus
- pass proper paths to build process

Revision 1.12  2003/07/10 12:20:53  qboosh
- build with netpbm 10.x, release 3

Revision 1.11  2003/07/10 07:54:30  qboosh
- use existing --tag in -shared patch, cosmetics in spec

Revision 1.10  2003/05/27 12:19:10  trojan
- added Source-md5

Revision 1.9  2003/05/25 06:27:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/11/29 22:46:58  ankry
- massive attack: new %%doc

Revision 1.7  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.6  2002/04/26 15:20:06  ankry
- added Conflicts for earlier netpbm-static versions

Revision 1.5  2002/04/24 22:09:58  ankry
- urt-static: obsoleres/provides netpbm-rle-static (it is full version of
  librle)
- rrelease 2

Revision 1.4  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/13 12:57:29  qboosh
- missing Requires in -devel and -static

Revision 1.1  2001/10/12 22:00:00  qboosh
- new: library+programs for oooold RLE image format
